<?php


function robotagger_node_page($node) {
  $output = '';
  $suggestions = _robotagger_get_suggestions($node);
  if (empty($suggestions)) {
    $output .= t('There no suggestions to confirm.');
  }
  else{
    $output .= drupal_get_form('robotagger_node_page_form', $node, $suggestions);
  }
  $settings = _robotagger_get_settings($node->type, $node->language);
  if ($settings->sendrequest == 'manual') {
    $output .= drupal_get_form('robotagger_sendrequest_form', $node);
  }
  return $output;
}

function robotagger_node_page_form($form_state, $node, $suggestions) {
  $form = array('#tree' => TRUE);
  $form['#node'] = $node;
  $temp = array();
  foreach ($suggestions as $suggestion) {
    $temp[$suggestion->vid][] = $suggestion->annotation;
  }
  foreach ($temp as $vid => $annotations) {
    $voc = taxonomy_vocabulary_load($vid);
    $form['vids'][$vid] = array(
      '#value' => '<h3>' . $voc->name . '</h3>',
    );
    foreach ($annotations as $annotation) {
      $form['vids'][$vid][$annotation] = array(
        '#type' => 'checkbox',
        '#title' => $annotation,
      );
    }
  }
  $form['action'] = array(
    '#type' => 'select',
    '#options' => array('confirm' => t('Confirm'), 'decline' => t('Decline')),
  );
  $form['button'] = array(
    '#type' => 'submit',
    '#value' => t('Submit')
  );
  return $form;
}

function robotagger_node_page_form_submit($form, $form_state) {
  include_once dirname(__FILE__).'/robotagger.process.inc';
  return _robotagger_process_node(FALSE, 'form', array($form, $form_state));
}

function robotagger_sendrequest_form($form_state, $node) {
  $form = array();
  $form['#node'] = $node;
  $form['button'] = array(
    '#type' => 'submit',
    '#value' => t('Send Request'),
  );
  return $form;
}

function robotagger_sendrequest_form_submit($form, $form_state) {
  $node = $form['#node'];
  $node->rtcheck_sendrequest = FALSE;
  node_save($node);
}